Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Defines | Functions
GlComplexPolygon.h File Reference
`#include <tulip/OpenGlConfigManager.h>`
`#include <vector>`
`#include <map>`
`#include <set>`
`#include <tulip/Color.h>`
`#include <tulip/Coord.h>`
`#include <tulip/tulipconf.h>`
`#include <tulip/GlSimpleEntity.h>`
Include dependency graph for GlComplexPolygon.h:

## Classes

- struct tlp::VERTEX
- class tlp::GlComplexPolygon

## Namespaces

- namespace tlp

## Defines

- #define CALLBACK

## Functions

- void CALLBACK tlp::beginCallback (GLenum which, GLvoid *polygonData)
- void CALLBACK tlp::errorCallback (GLenum errorCode)
- void CALLBACK tlp::endCallback (GLvoid *polygonData)
- void CALLBACK tlp::vertexCallback (GLvoid *vertex, GLvoid *polygonData)
- void CALLBACK tlp::combineCallback (GLdouble coords[3], VERTEX *d[4], GLfloat w[4], VERTEX **dataOut, GLvoid *polygonData)

## Define Documentation

#define CALLBACK

This file is part of Tulip (www.tulip-software.org)

Authors: David Auber and the Tulip development Team from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest

Tulip is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Tulip is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

Tulip Software by LaBRI Visualization Team 2001 - 2012